package de.ozgcloud.bescheid.binaryfile;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.ozgcloud.bescheid.BescheidResponse;
import lombok.NonNull;

@Service
public class BinaryFileService {

	@Autowired
	private BinaryFileRemoteService remoteService;

	public BescheidResponse uploadBescheidFile(@NonNull BescheidResponse bescheid) {
		var fileId = remoteService.uploadBescheidFile(bescheid);

		return bescheid.withBescheidFileId(fileId);
	}
}
